Forum Models
------------

.. module:: flaskbb.forum.models

.. autoclass:: Category
   :members:
   :inherited-members:

.. autoclass:: Forum
   :members:
   :inherited-members:

.. autoclass:: Topic
   :members:
   :inherited-members:

.. autoclass:: Post
   :members:
   :inherited-members:

.. autoclass:: TopicsRead
   :members:
   :inherited-members:

.. autoclass:: ForumsRead
   :members:
   :inherited-members:

.. autoclass:: Report
   :members:
   :inherited-members:
